# Interface ExtendedDocumentCSS

All Superinterfaces:
  `DocumentCSS, DocumentStyle`

All Known Implementing Classes:
  `DocumentCSSImpl`

public interface ExtendedDocumentCSS extends DocumentCSS
Extend `DocumentCSS` to add methods like add/remove style sheet.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ExtendedDocumentCSS.StyleSheetChangeListener`

## Method Summary

Modifier and Type
Method
Description
`void`
`addStyleSheet(StyleSheet styleSheet)`
`default void`
`addStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)`
`void`
`removeAllStyleSheets()`
`default void`
`removeStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)`

### Methods inherited from interface DocumentCSS

`getOverrideStyle`

### Methods inherited from interface DocumentStyle

`getStyleSheets`

## Method Details

### addStyleSheet

void addStyleSheet(StyleSheet styleSheet)

### removeAllStyleSheets

void removeAllStyleSheets()

### addStyleSheetChangeListener

default void addStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)

Since:
  0.12.200

### removeStyleSheetChangeListener

default void removeStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)

Since:
  0.12.200